"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
const modernExtend_1 = require("../lib/modernExtend");
const definitions = [
    {
        zigbeeModel: ['FLS-PP3', 'FLS-PP3\u0000'],
        model: 'Mega23M12',
        vendor: 'Dresden Elektronik',
        description: 'ZigBee Light Link wireless electronic ballast',
        ota: true,
        extend: [
            (0, modernExtend_1.deviceEndpoints)({ endpoints: { rgb: 10, white: 11 } }),
            (0, modernExtend_1.light)({ colorTemp: { range: undefined }, color: true, endpointNames: ['rgb', 'white'] }),
        ],
    },
    {
        zigbeeModel: ['FLS-CT'],
        model: 'XVV-Mega23M12',
        vendor: 'Dresden Elektronik',
        description: 'ZigBee Light Link wireless electronic ballast color temperature',
        extend: [(0, modernExtend_1.light)({ colorTemp: { range: undefined } })],
    },
    {
        zigbeeModel: ['Kobold'],
        model: 'BN-600110',
        vendor: 'Dresden Elektronik',
        description: 'Zigbee 3.0 dimm actuator',
        extend: [(0, modernExtend_1.light)()],
        ota: true,
    },
    {
        zigbeeModel: ['Hive'],
        model: 'Hive',
        vendor: 'Phoscon',
        description: 'Battery powered smart LED light',
        ota: true,
        extend: [(0, modernExtend_1.light)({ colorTemp: { range: [153, 370] }, color: true }), (0, modernExtend_1.battery)()],
    },
    {
        zigbeeModel: ['FLS-A lp (1-10V)'],
        model: 'BN-600078',
        vendor: 'Dresden Elektronik',
        description: 'Zigbee controller for 1-10V/PWM',
        extend: [(0, modernExtend_1.deviceEndpoints)({ endpoints: { l1: 11, l2: 12, l3: 13, l4: 14 } }), (0, modernExtend_1.light)({ endpointNames: ['l1', 'l2', 'l3', 'l4'] })],
        meta: { disableDefaultResponse: true },
    },
];
exports.default = definitions;
module.exports = definitions;
//# sourceMappingURL=dresden_elektronik.js.map